"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HydrationStream = exports.transformRow = void 0;
const stream_1 = __importDefault(require("stream"));
function transformRow(row) {
    for (const [field, value] of Object.entries(row)) {
        if (typeof value === 'number' || typeof value === 'bigint') {
            row[field] = value.toString();
        }
        else if (Object.prototype.toString.call(value) === '[object Date]') {
            row[field] = value.toISOString();
        }
    }
}
exports.transformRow = transformRow;
class HydrationStream extends stream_1.default.Transform {
    constructor() {
        super({
            objectMode: true,
            transform(row, encoding, callback) {
                transformRow(row);
                this.push(row);
                callback();
            }
        });
    }
}
exports.HydrationStream = HydrationStream;
//# sourceMappingURL=HydrationStream.js.map